## guitarix 0.36.1

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

import sys, os, re, shutil
import Build, Utils, Options, Logs, Configure, Scripting
from Constants import HEXVERSION
from Configure import ConfigurationError
from TaskGen import feature
import wscript_dsp

# Waf version check, for global waf installs

try:
    from Constants import WAFVERSION
except:
    WAFVERSION='1.0.0'
if WAFVERSION[:3] != '1.5':
    print('Incompatible Waf, use 1.5')
    sys.exit (1)

# these variables are mandatory ('/' are converted automatically)
srcdir = '.'
blddir = 'build'
use_2to3 = True

# used by waf dist and waf build
VERSION='0.36.1'
APPNAME='guitarix'

good_faust_versions = ['0.9.90']

g_maxlen = 40 # maximum width of message for 2-column display


################################################################
# options defined for waf configure
################################################################

def set_options(opt):
    
    def add_enable_option (option, desc, group=None, disable=False):
        if group == None:
            group = opt
        option_ = option.replace ('-', '_')
        group.add_option ('--enable-' + option, action='store_true',
            default=False, help='Enable ' + desc, dest='enable_' + option_)
        group.add_option ('--disable-' + option, action='store_true',
            default=disable, help='Disable ' + desc, dest='disable_' + option_)

    opt.tool_options('gcov')
    opt.tool_options ('intltool')
    group = opt.add_option_group ('Localization and documentation', '')
    add_enable_option ('nls', 'native language support', group)

    opt.tool_options('compiler_cxx')
    comp = opt.get_option_group("--check-cxx-compiler")

    comp.add_option('--debug',
                    action='store_const',
                    default=False,
                    const=True,
                    help='set compiler flags for a debug build')

    comp.add_option('--cxxflags-release',
                    type='string',
                    default='-O3 -DNDEBUG',
                    dest='cxxflags_release',
                    help='additional C++ compiler flags for release version (not used if --debug) [Default: %default]')

    comp.add_option('--cxxflags-debug',
                    type='string',
                    default='-O2 -g -fstack-protector-all',
                    dest='cxxflags_debug',
                    help='additional C++ compiler flags for debug version (only used if --debug) [Default: %default]')

    comp.add_option('--cxxflags',
                    type='string',
                    default='-Wall', # -fomit-frame-pointer -ffast-math -fstrength-reduce -mmmx -mfpmath=sse -DUSE_XMMINTRIN -pipe
                    dest='cxxflags',
                    help='C++ base compiler flags [Default: %default]')

    comp.add_option('--disable-cxx11',
                    action='store_const',
                    default=False,
                    const=True,
                    help='deselect C++ compiler flag -std=c++11 [Default: False]')

    comp.add_option('--ldflags',
                    type='string',
                    default='', 
                    dest='ldflags',
                    help='C++ base linker flags ')

    comp.add_option('--enable-lfs',
                    action='store_const',
                    default=False, 
                    const=True,
                    help='enable Large File Support (LFS)  ')

    comp.add_option('--optimization',
                    action='store_const',
                    default=False, #'-fomit-frame-pointer -ffast-math -fstrength-reduce -pipe',
                    const=True,
                    help='automatically select additional C++ compiler optimization flags for the current platform')

    comp.add_option('--no-desktop-update',
                    action='store_const',
                    default=False, #'-fomit-frame-pointer -ffast-math -fstrength-reduce -pipe',
                    const=True,
                    help='dont automatically update desktop database')


    opt.recurse('libgxw/gxw')
    opt.recurse('libgxwmm/gxwmm')

    comp = opt.add_option_group("Additional Library Options")

    comp.add_option('--includeresampler',
                    action='store_const',
                    default=False,
                    const=True,
                    help='build with included local zita-resample libary (Default NO)')

    comp.add_option('--includeconvolver',
                    action='store_const',
                    default=False,
                    const=True,
                    help='build with included local zita-convolver libary (Default NO)')

    comp.add_option('--convolver-ffmpeg',
                    action='store_const',
                    default=False,
                    const=True,
                    help='modified zita-convolver libary that uses ffmpeg instead of fftw3 for FFT (Default NO)')

    comp.add_option('--libdir',
                   type='string',
                   default='', 
                   dest='libdir',
                   help=('library install path '),
                   )

    faust = opt.add_option_group("Faust-Compiler")

    if len(good_faust_versions) == 1:
        faust_vers_str = good_faust_versions[0]
    else:
        faust_vers_str = "in [%s]" % ", ".join(good_faust_versions)

    faust.add_option('--faust',
                     action='store_const',
                     default=False,
                     const=True,
                     help=('use faust even if the installed version is not %s'
                           % faust_vers_str))

    faust.add_option('--no-faust',
                     action='store_const',
                     default=False,
                     const=True,
                     help="don't use faust, use the pre-built files in faust-generated")

    faust.add_option('--faust-float',
                     action='store_const',
                     default=False,
                     const=True,
                     help="build with faust, single precision")

    faust.add_option('--faust-vectorize',
                     action='store_const',
                     default=False,
                     const=True,
                     help="call faust with --vectorize")

    faust.add_option('--faust-vectorize-float',
                     action='store_const',
                     default=False,
                     const=True,
                     help=("call faust with --vectorize for sources built"
                           "in single (float) precision"))

    faust.add_option('--faust-options', help="additional faust options")

    ladspa = opt.add_option_group("LADSPA Options (installing ladspa modules)")

    ladspa.add_option('--no-ladspa',
                    action='store_const',
                    default=False,
                    const=True,
                    help="don't build ladspa plugins (Default yes)")

    ladspa.add_option('--no-new-ladspa',
                    action='store_const',
                    default=False,
                    const=True,
                    help=("don't build with new ladspa plugins (Default yes)"))


    ladspa.add_option('--ladspadir',
                    type='string',
                    help='LADSPA plugin directory [Default: <prefix>/lib/ladspa]')

    lv2 = opt.add_option_group("LV2 Options (installing LV2 modules)")

    lv2.add_option('--lv2dir',
                    type='string',
                    help='LV2 plugin directory [Default: <prefix>/lib/lv2]')

    lv2.add_option('--no-lv2',
                    action='store_const',
                    default=False,
                    const=True,
                    help=("don't build new lv2 plugins (Default no)"))

    lv2.add_option('--no-lv2-gui',
                    action='store_const',
                    default=False,
                    const=True,
                    help=("don't build lv2 plugin GUI's (Default no)"))

    lv2.add_option('--lv2-only',
                    action='store_const',
                    default=False,
                    const=True,
                    help=("build only the lv2 plugins (Default no)"))

    lv2.add_option('--no-mod-lv2',
                    action='store_const',
                    default=False,
                    const=True,
                    help=("don't install MOD lv2 GUI's (Default no)"))

    lv2.add_option('--disable-sse',
                    action='store_const',
                    default=False,
                    const=True,
                    help=("disable SSE for lv2 plugins (ARM)"))

    style = opt.add_option_group("Style Options (installing font)")
    
    style.add_option('--install-roboto-font',
                    action='store_const',
                    default=False,
                    const=True,
                    help=("install the included roboto condensed font"))
    
    style.add_option('--fontdir',
                    type='string',
                    help=('roboto condensed font install directory [Default: <prefix>/share/fonts/truetype]'))
    
    style.add_option('--no-font-cache-update',
                    action='store_const',
                    default=False, 
                    const=True,
                    help='dont automatically update font cache')
    

    opt.recurse('pygxw')
    opt.recurse('glade-gxw')

    opt.tool_options('compiler_cc') # for pygxw and glade-gxw

    opt.add_option('--dist-tree',
                   type='string',
                   dest='dist_tree',
                   help=("option for 'dist' command: git tree-ish to build"
                         " the archive from [Default: %s]" % 'V%s' % VERSION))

    opt.sub_options('src/gx_head');


################################################################
# waf configure
################################################################

################################################################
# configuration display helper functions
#

def print_msg(msg, nl=True):
    s = sys.stdout
    if nl:
        t = "\n"
    else:
        t = " "
    s.write(msg+t)

# a bit of waf display formatting
def display_msg(msg, status = None, color = None):
    sr = msg
    global g_maxlen
    g_maxlen = max(g_maxlen, len(msg))
    if status:
        print_msg("%s :" % msg.ljust(g_maxlen),False)
        Utils.pprint(color, status)
    else:
        print_msg("%s" % msg.ljust(g_maxlen))

def error_msg(msg):
    Utils.eprint('RED', msg)

def display_feature(msg, build):
    if build:
        display_msg(msg, "yes", 'CYAN')
    else:
        display_msg(msg, "no", 'YELLOW')

################################################################
# configuration utility functions
#

def option_enabled (option):
    if getattr (Options.options, 'enable_' + option):
        return True
    if getattr (Options.options, 'disable_' + option):
        return False
    return True

def append_optimization_flags(cxxflags):
    cpu_model = None
    x86_flags = None
    try:
        for line in open("/proc/cpuinfo"):
            if cpu_model is None:
                if line.startswith("model name"):
                    cpu_model = line.split(":",1)[1].strip()
            elif x86_flags is None:
                if line.startswith("flags"):
                    x86_flags = line.split(":",1)[1].strip()
            else:
                break
    except IOError:
        pass
    if cpu_model is None or x86_flags is None:
        display_msg("Checking CPU Architecture",
                    "cpu model not found in /proc/cpuinfo",
                    "YELLOW")
        return None
    model = cpu_model.split()
    arch = os.uname()[4]
    if "AMD" in model and "x86_64" in arch:
        cxxflags.append ("-march=k8")
    elif "AMD" in model and "Sempron(tm)" in model:
        cxxflags.append ("-march=native")
    elif "Geode" in model :
        cxxflags.append ("-march=geode")
    elif "Core" in model and "x86_64" in arch:

=== pygxw/wscript ===
# -*- python -*-
# -*- coding: utf-8 -*-

import Logs, Utils, Options

def set_options(opt):
    grp = opt.get_option_group("--shared-lib")
    grp.add_option('--python-wrapper',
                   action='store_const',
                   default=False,
                   const=True,
                   help=('build python wrapper for library (Developers only!!)'),
                   )

def configure(conf):
    if not Options.options.python_wrapper:
        return
    conf.env["GX_PYTHON_WRAPPER"] = True
    conf.env["GXW_SHARED"] = True
    conf.check_python_headers()
    conf.check_cfg(package='pygtk-2.0', args='--cflags --libs', uselib_store='PYGTK' ,mandatory=True)
    conf.cfg_get_variable(package='pygtk-2.0', variable='defsdir')
    conf.check_python_module("numpy")

def h2defs(task):
    sources = " ".join(["'%s'" % v.srcpath(task.env) for v in task.inputs])
    path = task.generator.path
    lib = path.find_resource(task.generator.lib).srcpath(task.env)
    fltr = path.find_resource(task.generator.filter).srcpath(task.env)
    dst = task.outputs[0].bldpath(task.env)
    cmd = ("python '%s'/defsgen.py -m gx -l %s -f '%s' %s > '%s' && cat '%s' >> '%s'"
           % (task.env["CODEGENDIR"], lib, fltr, sources, dst, fltr, dst))
    Logs.debug("runner: system command -> %s" % cmd)
    return Utils.exec_command(cmd, shell=True)

def defs2c(task):
    ovr = task.inputs[0].srcpath(task.env)
    src = task.inputs[1].srcpath(task.env)
    dst = task.outputs[0].bldpath(task.env)
    defsdir = task.env["DEFSDIR"]
    cmd = ("pygobject-codegen-2.0"
           " --prefix gxw"
           " --register '%s'/gdk-types.defs"
           " --register '%s'/gtk-types.defs"
           " --override '%s'"
           " --outfilename '%s'"
           " '%s'"
           " > '%s'"
           % (defsdir, defsdir, ovr, dst, src, dst))
    Logs.debug("runner: system command -> %s" % cmd)
    return Utils.exec_command(cmd,shell=True)

def build(bld):
    if not bld.env["GX_PYTHON_WRAPPER"]:
        return
    bld.add_group()
    sources = ["GxTuner.h",
               "GxFastMeter.h",
               "GxWaveView.h",
               "GxRegler.h",
               "GxSelector.h",
               "GxSwitch.h",
               "GxToggleImage.h",
               "GxControlParameter.h",
               "GxIREdit.h",
               "GxRadioButton.h",
               "GxWheel.h",
               "GxWheelVertical.h",
               "GxKnob.h",
               "GxBigKnob.h",
               "GxSmallKnob.h",
               "GxSmallKnobR.h",
               "GxHSlider.h",
               "GxMiniSlider.h",
               "GxVSlider.h",
               "GxEQSlider.h",
               "GxLevelSlider.h",
               "GxPaintBox.h",
               "GxMeterScale.h",
               "GxGradient.h",
               "GxValueDisplay.h",
               "GxRackTuner.h",
               ]
    bld(name = "h2defs",
        target = "gxw.defs",
        rule = h2defs,
        source = ["../libgxw/gxw/"+v for v in sources],
        lib = "../libgxw/gxw/libgxw.so",
        filter = "gxw-manual.defs",
        )
    bld(name="defs2c",
        target = "gxw.c",
        rule = defs2c,
        source = ['gxw.override','gxw.defs'],
        after = "h2defs",
        )
    bld.add_group()
    prog = bld(
        features = ['cc','cxx','pyext','cshlib'],
        source = ['gxw.c','gxw-module.c'],
        target = 'gxw',
        uselib = ['PYGOBJECT','PYGTK','GTK2'],
        ccflags = ["-g"],
        includes = ['../libgxw'],
        )
    if bld.env["GX_LIB_SHARED"]:
        prog.libpath = [bld.path.find_dir("../libgxw/gxw").bldpath(bld.env)]
        prog.lib = ["gxw"]
    else:
        prog.uselib_local = ['gxw']

=== rcstyles/wscript ===
#!/usr/bin/env python
# encoding: utf-8

gxstyle_files = [
    'gx_head_Guitarix.rc',
    'background1.png',
    'background2.png',
    'live_wallpaper_aluminium.png',
    'live_wallpaper_camouflage.png',
    'live_wallpaper_copper.png',
    'live_wallpaper_dark.png',
    'live_wallpaper.png',
    'live_wallpaper_guitarix_oak.png',
    'live_wallpaper_lavender.png',
    'live_wallpaper_oak.png',
    'live_wallpaper_olive.png',
    'live_wallpaper_orange.png',
    'live_wallpaper_sky.png',
    'live_wallpaper_white_oak.png',
    'live_wallpaper_burl.png',
    'live_wallpaper_psycedelic.png',
    'live_wallpaper_hippie.png',
    'live_wallpaper_grungy_sun.png',
    'live_wallpaper_grungy_sun_dark.png',
    'live_wallpaper_grandma.png',
    'live_wallpaper_nebula.png',
    'live_wallpaper_rust.png',
    'live_wallpaper_gold.png',
    
    'clear.rc',
    'tactile_knob_large_151f.png',
    'tactile_knob_small_99f.png',
    'tactile_knob_medium_151f.png',
    'tactile_wheel_101f.png',

    'stereo.png',
    'live_bypass.png',
    'factory.png',
    'live_mute.png',
    'readonly.png',
    'scratch.png',
    'versiondiff.png',
    'playhead.png',
    'simplelevelslider.png',

    'switch_on.png',
    'switch_mid_off.png',
    'switch_mid_on.png',
    'switch_off.png',
    'rack_expand.png',
    'rack_shrink.png',
    'rack_preset.png',
    'rack_preset.png',
    'insert.png',
    'hslider.png',
    'logo.png',
    'logo_orange.png',
    'logo_white.png',
    'handle_left.png',
    'handle_right.png',

    # knobs
    'knob_small.png',
    'knob_small_r.png',
    'knob_mid.png',
    'knob_big.png',
    
    ###COPPER THEME
    'gx_head_Copper.rc',
    'copper.png',
    
    ###LAVENDER THEME
    'gx_head_Lavender.rc',
    'lavender.png',
    
    ###SKY THEME
    'gx_head_Sky.rc',
    'sky.png',
    
    ###OLIVE THEME
    'gx_head_Olive.rc',
    'olive.png',
    
    ###HIPPIE THEME
    'gx_head_Hippie.rc',
    'hippie.png',
    'hippie2.png',
    'knob_small_hippie.png',
    'knob_small_r_hippie.png',
    'knob_mid_hippie.png',
    'knob_big_hippie.png',
    
    ###PSYCEDELIC THEME
    'gx_head_Psycedelic.rc',
    'psycedelic.png',
    
    ###GRANDMA THEME
    'gx_head_Grandma.rc',
    'grandma.png',
    
    ###GRUNGY SUN THEME
    'gx_head_Grungy_Sun_Dark.rc',
    'grungy_sun_dark.png',
    'grungy_sun_dark2.png',
    
    ###GRUNGY SUN THEME
    'gx_head_Grungy_Sun.rc',
    'grungy_sun.png',
    'grungy_sun2.png',
    
    ###ALUMINIUM THEME
    'gx_head_Aluminium.rc',
    'aluminium1.png',
    'aluminium2.png',
    
    ###OAK THEME
    'gx_head_Oak.rc',
    'oak1.png',
    'oak2.png',
    
    ###BURL THEME
    'gx_head_Burl.rc',
    'burl1.png',
    'burl2.png',
    
    ###WHITE OAK THEME
    'gx_head_White_Oak.rc',
    'oak_white.png',
    #'oak2.png',
    
    ###GUITARIX OAK THEME
    'gx_head_Guitarix_Oak.rc',
    'oak_green.png',
    #'oak2.png',
    
    ###DARK THEME
    'gx_head_Plain_Dark.rc',
    'gx_head_Dark.rc',
    'dark.png',

    ###NEBULA THEMA
    'gx_head_Nebula.rc',
    'nebula.png',
    'nebula2.png',

    ###CAMOUFLAGE THEME
    'gx_head_Camouflage.rc',
    'camouflage.png',
    
    ###ORANGE THEME
    'gx_head_Orange.rc',
    'orange.png',
    
    ###RUST THEME
    'gx_head_Rust.rc',
    'rust.png',
    'rust2.png',
    
    ###GOLD THEME
    'gx_head_Gold.rc',
    'gold1.png',
    'gold2.png',
    
     ]

def configure(conf):
    pass

def build(bld):
    bld.install_files(bld.env['GX_STYLE_DIR'], gxstyle_files, chmod=0o644)

=== demos/d/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Thomas Nagy, 2006 (ita)

VERSION='0.0.1'
APPNAME='d_test'

top = '.'
out = 'build'

def set_options(opt):
	opt.tool_options('compiler_d')

def configure(conf):
	conf.check_tool('compiler_d')

	if not conf.env.D_COMPILER:
		conf.fatal("either dmd or gdc is required (d compilers)")

	conf.env.LIB_PTHREAD = ['pthread']
	conf.check_dlibrary()

def build(bld):
	if bld.env.DLIBRARY != 'tango':
		bld.add_subdirs('src')

		# here is how to use the object-oriented notation
		obj = bld(features='d dstaticlib')
		obj.source = '''
		testlib/code.d
		'''
		obj.importpaths = '.'
		obj.name        = 'testlib'
		obj.target      = 'testlib'

		"""
	compiling with d, linking with gcc:
	* in the configuration, add conf.check_tool('gcc')
	* in the object creation, add 3 lines

	obj = bld('d')
	obj.source = '''
	testlib/code.d
	'''
	obj.features.append('cc')
	obj.features.append('cshlib')
	obj.name   = 'testlib'
	obj.target = 'testlib'
	"""

		obj = bld(features='d dprogram')
		obj.source = '''
		example.d
		'''
		obj.target       = 'd_test'
		obj.uselib_local = 'testlib'
		obj.uselib       = 'PTHREAD'
		obj.importpaths  = '.'

	else:
		bld(features='d dprogram', source='foo.d', target='bar')

	# ---------------------------------------
	# to use in the development phase:
	# raise the syntax errors on the most dependent files first

	from Constants import RUN_ME
	from Task import Task, TaskBase

	def runnable_status(self):
		ret = Task.runnable_status(self)

		# do this processing once
		if ret != RUN_ME or getattr(self, 'deps_done', None):
			return ret

		# get the sibling d tasks
		for t in self.generator.tasks:
			if id(t) == id(self) or t.name != 'd':
				continue

			task_input_id = id(t.inputs[0])
			for node in self.generator.bld.node_deps[self.unique_id()]:
				if task_input_id == id(node):
					# if the input match, execute after the other
					self.set_run_after(t)

		self.deps_done = True
		return self.runnable_status()

	TaskBase.classes['d'].runnable_status = runnable_status

=== demos/pch/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Thomas Nagy, 2006 (ita)

"""
for some obscure reason, the precompiled header will not be taken if
all.h is in the same directory as main.cpp
we recommend to add the header to compile in a separate directory without any sources

Note: the #warning will come once when the .h is compiled, it will not come when the .cpp is compiled
"""

from TaskGen import feature, after
import Task, ccroot

@feature('cxx')
@after('apply_link')
def process_pch(self):
	if getattr(self, 'pch', ''):
		node = self.path.find_resource(self.pch)
		if not node:
			print ("not a valid header !")
			return
		self.create_task('gchx', node, node.change_ext('.gch'))

comp_line = '${CXX} ${CXXFLAGS} ${CPPFLAGS} ${_CXXINCFLAGS} ${_CXXDEFFLAGS} ${SRC} -o ${TGT}'
cls = Task.simple_task_type('gchx', comp_line, before='cc cxx')
cls.scan = ccroot.scan

def build(bld):
	bld(
		features = 'cxx cprogram',
		source = 'main.cpp',
		includes = '. subdir',
		target = 'test',
		pch = 'subdir/all.h')

def configure(conf):
	conf.check_tool('g++')

VERSION='0.0.1'
APPNAME='pch_test'

top = '.'
out = 'build'

=== demos/qt4/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Thomas Nagy, 2005, 2010 (ita)

VERSION='0.0.1'
APPNAME='qt4_test'

top = '.'
out = 'build'

def set_options(opt):
	opt.tool_options('qt4')

def configure(conf):
	conf.check_tool('g++ qt4')
	conf.env.append_value('CXXFLAGS', '-g -D_REENTRANT  -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED'.split())

def build(bld):
	bld.add_subdirs('src')

=== demos/swig/wscript ===
#! /usr/bin/env python
# encoding: UTF-8
# Peter Forai
# Thomas Nagy, 2008

"""
Demonstrates how to create a c++ app that runs python scripts

Useful for apps providing script extensions
"""

VERSION='0.0.1'
APPNAME='swig_test'
top = '.'
out = 'build'

def set_options(opt):
	opt.tool_options('g++')
	opt.tool_options('python')

def configure(conf):
	conf.check_tool('g++ python')
	conf.check_python_version((2,4,2))
	conf.check_python_headers()
	conf.check_tool('swig')
	conf.check_swig_version('1.3.27')

def build(bld):

	# embedding
	#
	# use swig_flags = '-c++ -python -dump_classes' for debugging

	obj = bld(
		features = 'cxx cprogram pyembed',
		source = 'embed/src1.cpp embed/bind.swig',
		target = 'embed/embed_demo',
		swig_flags = '-c++ -python -Wall',
		includes = '. embed')


	# extending
	#
	# be careful that the .py produced by swig is mandatory for using the library
	#
	# it is possible to disable 'mylib', and to add extend/a.cpp
	# to the source of extend/python/_test_swig_waf and remeve uselib_local

	bld(
		features = 'cxx cshlib',
		source = 'extend/a.cpp',
		target = 'extend/mylib',
		includes = 'extend',
		export_incdirs = 'extend',
		vnum = '1.2.3',
		name = 'mylib')

	bld(
		features = 'cxx cshlib pyext',
		source = 'extend/python/test_swig_waf.i',
		target = 'extend/python/_test_swig_waf',
		swig_flags = '-c++ -python -Wall',
		includes = 'extend',
		vnum = '1.2.3',
		uselib_local = 'mylib')

	bld.add_post_fun(inst_py)
	bld.add_post_fun(exec_test)

def inst_py(bld):
	node = bld.path.find_or_declare('extend/python/test_swig_waf.py')
	bld.install_files('${PREFIX}/lib', node.abspath(bld.env), postpone=False)

def exec_test(bld):
	import os, stat
	try:
		print os.popen('''
PYTHONPATH=$PYTHONPATH:build/default/extend/python
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:build/default/extend/python:build/default/extend
python -c "import test_swig_waf; a=test_swig_waf.A(); print 'Testing: a.add(2, 3) ->', a.add(2, 3)"
'''.replace('\n', ' ')).read()
	except:
		pass

	# why does this fail now on mandriva???
	try:
		os.stat('build/default/embed/embed_demo')
		print os.popen('PYTHONPATH=$PYTHONPATH:build/default/embed/ build/default/embed/embed_demo').read()
	except:
		pass

=== glade-gxw/glade-icons/wscript ===
# -*- python -*-
# -*- coding: utf-8 -*-

import os.path

def build(bld):
    icon_files = [
        "gxbigknob.png",
        "gxiredit.png",
        "gxselector.png",
        "gxsmallknob.png",
        "gxmediumknob.png",
        "gxpaintbox.png",
        "gxtoggleimage.png",
        "gxfastmeter.png",
        "gxhslider.png",
        "gxradiobutton.png",
        "gxtuner.png",
        "gxwaveview.png",
        "gxminislider.png",
        "gxswitch.png",
        "gxwheel.png",
        "gxeqslider.png",
        "gxvslider.png",
        "gxlevelslider.png",
        "gxvaluedisplay.png",
        "gxmeterscale.png",
        "gxportdisplay.png",
        "gxplayhead.png",
        ]
    j = os.path.join
    icon_dir = os.path.normpath(j(bld.env['SHAREDIR'], 'guitarix','icons'))
    for d in "16x16", "22x22":
        path = j("hicolor", d, "actions")
        dest = j(bld.env['GX_ICON_DIR'], path)
        instfiles = [j(path, "widget-gxwidgets-" + v) for v in icon_files]
        bld.install_files(dest, instfiles, chmod=0644)

=== libgxw/gxw/wscript ===
# -*- python -*-
# -*- coding: utf-8 -*-

import Logs, Utils, Configure, Options, os.path, shutil

def set_options(opt):
    pass

def configure(conf):
    if conf.env["GX_LIB_SHARED"] or conf.env["GXW_SHARED"]:
        conf.check_tool("libtool")

def img2c(task):
    sources = "../libgxw/resources.xml"
    dst = "../libgxw/gximages.cc"
    dstdir = task.outputs[0].bldpath(task.env)

    cmd = ("glib-compile-resources --sourcedir=../libgxw/icons/ --target=%s  --generate-source %s" % ( dst, sources))
    Logs.debug("runner: system command -> %s" % cmd)
    ret = Utils.exec_command(cmd, shell=True)
    shutil.copy2(dst,dstdir)
    return ret

def build_stock_images(bld):

    # generate gresourcefile from resources.xml, to add images add them in
    # gxinit.cpp and ../resources.xml, then use the --generate-resources flag
    # to re-generate the gximages.cc file

    if bld.env["HAVE_GLIB"]:
        bld(name = "generate-resources",
            target = "gximages.cc",
            rule = img2c,
            source = "../resources.xml",
            )
    else:
        bld(name = "copy-resources",
            rule = "cp ${SRC} ${TGT}",
            source = "../gximages.cc",
            target = 'gximages.cc',
            )
    bld.add_group()

def build(bld):
    sources = [
        'gxinit.cpp',
        'drawingutils.cpp',
        'GxFastMeter.cpp',
        'GxWaveView.cpp',
        'GxTuner.cpp',
        'GxRegler.cpp',
        'GxSelector.cpp',
        'GxSwitch.cpp',
        'GxToggleImage.cpp',
        'GxControlParameter.cpp',
        'GxIREdit.cpp',
        'GxRadioButton.cpp',
        'GxWheel.cpp',
        'GxWheelVertical.cpp',
        'GxKnob.cpp',
        'GxBigKnob.cpp',
        'GxMidKnob.cpp',
        'GxSmallKnob.cpp',
        'GxSmallKnobR.cpp',
        'GxHSlider.cpp',
        'GxMiniSlider.cpp',
        'GxVSlider.cpp',
        'GxEQSlider.cpp',
        'GxLevelSlider.cpp',
        'GxPaintBox.cpp',
        'GxMeterScale.cpp',
        'GxGradient.cpp',
        'GxValueDisplay.cpp',
        'GxSimpleValueDisplay.cpp',
        'GxRackTuner.cpp',
        'GxPortDisplay.cpp',
        'GxPlayHead.cpp',
        ]
    build_stock_images(bld)
    if bld.env["GX_LIB_STATIC"]:
        # static library
        prog = bld(
            features = ['cxx', 'cstaticlib'],
            includes = ['.'],
            #cxxflags = ['-fPIC'],
            source = sources,
            uselib = ['GTHREAD', 'GTK2'],
            target = 'gxw',
            chmod=0o755,
            )
    if bld.env["GX_LIB_SHARED"] or bld.env["GXW_SHARED"]:
        # shared library
        prog = bld(
            features = ['cxx', 'cshlib'],
            includes = ['.'],
            source = sources,
            uselib = ['GTHREAD', 'GTK2'],
            target = 'gxw',
            chmod=0o755,
            )
        if bld.env["GX_LIB_SHARED"] or bld.env["GXW_SHARED_INSTALL"]:
            prog.features.append('libtool')
            prog.type = 'cshlib'
            prog.vnum = "0.1"
        else:
            prog.install_path = None

=== libgxwmm/gxwmm/wscript ===
#! /usr/bin/env python
# encoding: utf-8

import Task, Options, Utils, Logs, shutil, os.path
from TaskGen import extension

def set_options(opt):
    grp = opt.add_option_group("Guitarix Widget Library")
    grp.add_option('--shared-lib',
                   action='store_const',
                   default=False,
                   const=True,
                   help=('build shared library'),
                   )
    grp.add_option('--lib-dev',
                   action='store_const',
                   default=False,
                   const=True,
                   help=('install shared library headers'),
                   )
    grp.add_option('--no-ldconfig',
                   action='store_const',
                   default=False,
                   const=True,
                   help=('dont run ldconfig'),
                   )
    grp.add_option('--generate-cpp-wrapper',
                   action='store_const',
                   default=False,
                   const=True,
                   help=('re-generate the pre-built c++ library wrapper files (Developers only!!)'),
                   )
    grp.add_option('--generate-resources',
                   action='store_const',
                   default=False,
                   const=True,
                   help=('re-generate the pre-built gresources file (Developers only!!)'),
                   )

def configure(conf):
    conf.check_tool('misc')
    if Options.options.generate_cpp_wrapper:
        conf.cfg_get_variable(package='glibmm-2.4', variable='gmmprocdir')
        conf.cfg_get_variable(package='gtkmm-2.4', variable='gmmprocm4dir', prefix="GTK_")
        conf.cfg_get_variable(package='atkmm-1.6', variable='gmmprocm4dir', prefix="ATK_")
        conf.cfg_get_variable(package='pangomm-1.4', variable='gmmprocm4dir', prefix="PANGO_")
        conf.env["USE_GENERATED_CPP"] = False
    else:
        conf.env["USE_GENERATED_CPP"] = True
    if Options.options.shared_lib or not Options.options.no_lv2:
        conf.env["GX_LIB_SHARED"] = True
    else:
        conf.env["GX_LIB_STATIC"] = True
    if Options.options.lib_dev:
        conf.env["GX_LIB_SHARED"] = True
        conf.env["GX_LIB_DEV"] = True
        conf.env["GX_LIB_STATIC"] = False
    if Options.options.no_ldconfig:
        conf.env["NO_LDCONFIG"] = True


def template2cc(task):
    basename = os.path.splitext(
        os.path.basename(task.inputs[0].srcpath(task.env)))[0]
    srcdir = task.inputs[0].parent
    try:
        os.remove(task.outputs[0].bldpath(task.env))
    except OSError:
        pass
    try:
        os.mkdir(task.outputs[0].parent.bldpath(task.env) + "/private")
    except OSError:
        pass
    spath = srcdir.srcpath(task.env)
    dpath = srcdir.bldpath(task.env)
    cmd = ["%s/gmmproc" % task.env["GMMPROCDIR"],
           "--defs", dpath,
           "-I", spath,
           "-I", "%s" % task.env["GTK_GMMPROCM4DIR"],
           "-I", "%s" % task.env["ATK_GMMPROCM4DIR"],
           "-I", "%s" % task.env["PANGO_GMMPROCM4DIR"],
           basename,
           spath,
           dpath,
           ]
    Logs.debug("runner: system command -> %s" % cmd)
    ret = Utils.exec_command(cmd, shell=False)
    if ret != 0:
        return ret
    dpath += "/"
    spath += "/../gxwmm-generated/"
    try:
        shutil.copy2(dpath+basename+".cc", spath+basename+".cc")
        shutil.copy2(dpath+basename+".h", spath+basename+".h")
        shutil.copy2(dpath+"private/"+basename+"_p.h", spath+"private/"+basename+"_p.h")
    except (OSError, IOError) as e:
        Logs.error("runner: cannot copy file -> %s" % e)
        return e.errno
    return 0

Task.task_type_from_func(
    'gmmproc',
    template2cc,
    color='BLUE',
    before='cxx')

@extension('.hg')
def process_hg(self, node):
        cc_node = node.change_ext('.cc')
        task = self.create_task('gmmproc', [node], [cc_node])
        task.after = ["gxwdefs"]
        task.deps_nodes.append(
            node.parent.find_resource(node.name.replace('.hg','.ccg')))
        task.deps_nodes.append(
            node.parent.find_or_declare('gxw.defs'))
        self.allnodes.append(cc_node)

def header2defs(task):
    sources = " ".join(["'%s'" % v.srcpath(task.env) for v in task.inputs[1:]])
    path = task.generator.path
    dst = task.outputs[0].bldpath(task.env)
    flt = task.inputs[0].srcpath(task.env)
    cmd = ("python '%s'/h2def.py -f '%s' -m gxw %s > '%s'"
           % (task.env["CODEGENDIR"], flt, sources, dst))
    Logs.debug("runner: system command -> %s" % cmd)
    return Utils.exec_command(cmd, shell=True)

def build_generate_wrapper(bld):
    header = ["GxTuner.h",
              "GxRackTuner.h",
              "GxFastMeter.h",
              "GxWaveView.h",
              "GxRegler.h",
              "GxSelector.h",
              "GxSwitch.h",
              "GxToggleImage.h",
              "GxControlParameter.h",
              "GxIREdit.h",
              "GxRadioButton.h",
              "GxWheel.h",
              "GxWheelVertical.h",
              "GxKnob.h",
              "GxBigKnob.h",
              "GxMidKnob.h",
              "GxSmallKnob.h",
              "GxSmallKnobR.h",
              "GxHSlider.h",
              "GxMiniSlider.h",
              "GxVSlider.h",
              "GxEQSlider.h",
              "GxLevelSlider.h",
              "GxPaintBox.h",
              "GxMeterScale.h",
              "GxGradient.h",
              "GxValueDisplay.h",
              "GxSimpleValueDisplay.h",
              "GxPortDisplay.h",
              "GxPlayHead.h",
              ]
    header = ["../../libgxw/gxw/"+v for v in header]
    bld(features = ['cxx', 'cprogram'],
        source = "generate_defs_gxw.cc",
        includes = ["../../libgxw"],
        uselib = ['GTKMM'],
        lib    = 'glibmm_generate_extra_defs-2.4',
        uselib_local = "gxw",
        target = 'generate_defs_gxw',
        install_path = None,
        )
    bld.add_group()
    libdir = bld.path.find_dir("../../libgxw/gxw").bldpath(bld.env)
    e1 = 's/GdkEvent\\*/GdkEventButton*/'
    e2 = 's/return-type "const-gchar\\*"/return-type "gchar*"/'
    bld(name = "sigdefs",
        rule = ("LD_LIBRARY_PATH=\"%s\" ${SRC} | sed -e '"+e1+"' -e '"+e2+"'> ${TGT}") % libdir, #FIXME
        source = 'generate_defs_gxw',
        target = 'signals.defs',
        )
    bld(name = "mthdefs",
        rule = header2defs,
        source = ['filter.defs']+header,
        target = "methods.defs",
        )
    bld(name = "enumdefs",
        rule = bld.path.srcpath(bld.env)+"/enum.pl ${SRC} > ${TGT}",
        source = header,
        target = "enum.defs",
        )
    bld(name = "gxwdefs",
        rule = 'for f in ${SRC}; do echo "(include $(basename $f))"; done > ${TGT}',
        source = ["methods.defs","signals.defs","enum.defs"],
        target = "gxw.defs",
        after = ["sigdefs","mthdefs","enumdefs"],
        )
    bld(rule = "cp ${SRC} ${TGT}", 
        source = "docs.xml",
        target = "gxw_docs.xml",
        )

def build(bld):
    sources = [
        "controlparameter.hg",
        "switch.hg",
        "regler.hg",
        "knob.hg",
        "bigknob.hg",
        "midknob.hg",
        "smallknob.hg",
        "smallknobr.hg",
        "tuner.hg",
        "racktuner.hg",
        "fastmeter.hg",
        "waveview.hg",
        "selector.hg",
        "toggleimage.hg",
        "iredit.hg",
        "radiobutton.hg",
        "wheel.hg",
        "wheelvertical.hg",
        "hslider.hg",
        "minislider.hg",
        "vslider.hg",
        "eqslider.hg",
        "levelslider.hg",
        "paintbox.hg",
        "meterscale.hg",
        #"gradient.hg",
        "valuedisplay.hg",
        "simplevaluedisplay.hg",
        "portdisplay.hg",
        "playhead.hg",
        ]
    if bld.env["USE_GENERATED_CPP"]:
        gdir = "../gxwmm-generated/"
        for v in sources:
            s = v.replace(".hg", ".cc")
            bld(name = "copy-generated-cc",
                rule = "cp ${SRC} ${TGT}",
                source = gdir + s,
                target = s,
                )
            s = v.replace(".hg", ".h")
            bld(name = "copy-generated-h",
                rule = "cp ${SRC} ${TGT}",
                source = gdir + s,
                target = s,
                )
            s = v.replace(".hg", "_p.h")
            bld(name = "copy-generated-p-h",
                rule = "cp ${SRC} ${TGT}",
                source = gdir + "private/" + s,
                target = "private/" + s,
                )
        bld(name = "copy-wrap_init",
            rule = "cp ${SRC} ${TGT}",
            source = gdir + "wrap_init.cc",
            target = 'wrap_init.cc',
            )
        sources = [v.replace(".hg",".cc") for v in sources]
    else:
        bld(name = "wrap_init",
            rule = bld.env["GMMPROCDIR"]+"/generate_wrap_init.pl --namespace=Gxw ${SRC} >${TGT}; cp ${TGT} ../libgxwmm/gxwmm-generated", #FIXME
            source = sources,
            target = "wrap_init.cc",
            )
        build_generate_wrapper(bld)
    bld.add_group()
    if bld.env["GX_LIB_SHARED"]:
        bld(features = ['cxx', 'cshlib', 'libtool'],
            type = 'cshlib',
            vnum = "0.1",
            includes = ['..','../../libgxw'],
            source = sources+["init.cc","wrap_init.cc"],
            uselib = ['GTKMM'],
            uselib_local = ['gxw'],
            target = 'gxwmm',
            )
    else:
        bld(features = ['cxx', 'cstaticlib'],
            includes = ['..','../../libgxw'],
            #cxxflags = ['-fPIC'],
            source = sources+["init.cc","wrap_init.cc"],
            uselib = ['GTKMM'],
            target = 'gxwmm',
            )

=== playground/abstract/wscript ===
#! /usr/bin/env python

top = '.'
out = 'out'

def configure(conf):
	pass

def build(bld):
	bld.package(name='blah.tar', version='1.0.1')
	bld.package(name='aha.tar', deps=['blah.tar'])

import Build
def package(*k, **kw):
	sub = k[1:]
	t = k[0](*sub, **kw)
	t.features = 'package'
Build.BuildContext.package = package

from TaskGen import feature, before
@feature('package')
@before('apply_core')
def make_package_tasks(self):
	tsk = self.create_task('pack')
	ins = []

	for x in getattr(self, 'deps', []):
		y = self.bld.name_to_obj(x, self.env)
		y.post()
		#  build order ..
		for t in y.tasks:
			tsk.set_run_after(t)
			ins.extend(t.outputs)

	tsk.set_inputs(ins)
	tsk.set_outputs(self.path.find_or_declare(self.name))

	tsk.env.VERSION = getattr(self, 'version', '')

import Task
cls = Task.simple_task_type('pack', 'date > ${TGT}', vars=['VERSION']) # for testing purposes
Task.update_outputs(cls)

=== playground/archiver/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Thomas Nagy, 2008 (ita)

# archive creation

VERSION='0.0.1'
APPNAME='archiver_test'
top = '.'
out = 'build'

def configure(conf):
	conf.env['TAR'] = 'tar'
	conf.check_tool('archiver', tooldir='.')

def build(bld):
	for x in "abcd":
		bld(
		source='wscript',
		target='%s.txt' % x,
		rule='cp ${SRC} ${TGT}',
		before='tar')

	bld(
		features='archiver',
		target='foo.tar.bz2',
		taropts='-cjf',
		excludes='.lock-wscript')

=== debian/changelog ===
guitarix (0.36.1-1) unstable; urgency=medium

  * New upstream version 0.36.1
  * Use https for upstream homepage in d/control and d/copyright
  * Bump Std-Ver to 4.1.3

 -- Víctor Cuadrado Juan <me@viccuad.me>  Sun, 31 Dec 2017 16:16:25 +0100

guitarix (0.36.0-1) unstable; urgency=medium

  * New upstream version 0.36.0
  * Bump Std-Ver to 4.1.1 (no changes needed)
  * Add "Recommends: gvfs-backends" to guitarix package (Closes: #874799)
  * Remove duplicated Priority field in guitarix-doc
  * Use https in d/watch URI
  * Drop guitarix-doc.lintian-overrides as not needed anymore

 -- Víctor Cuadrado Juan <me@viccuad.me>  Tue, 14 Nov 2017 21:10:03 +0100

=== debian/control ===
Source: guitarix
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Víctor Cuadrado Juan <me@viccuad.me>
Build-Depends: debhelper (>= 9),
               intltool,
               ladspa-sdk,
               libavahi-gobject-dev,
               libbluetooth-dev [linux-any],
               libboost-dev (>= 1.53),
               libboost-system-dev (>= 1.53),
               libboost-thread-dev (>= 1.53),
               libeigen3-dev,
               libgtk2.0-dev,
               libgtkmm-2.4-dev,
               libjack-dev,
               liblilv-dev,
               liblrdf0-dev,
               libsndfile1-dev,
               libzita-convolver-dev,
               libzita-resampler-dev,
               lv2-dev,
               python,
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 4.1.3
Homepage: https://guitarix.org
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/guitarix.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/guitarix.git

Package: guitarix
Architecture: any
Depends: fonts-roboto,
         gtk2-engines,
         gtk2-engines-pixbuf,
         guitarix-common (= ${source:Version}),
         guitarix-ladspa (>= ${source:Version}),
         guitarix-lv2 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: jack-capture, lame, vorbis-tools, gvfs-backends
Description: Rock guitar amplifier for Jack
 Guitarix is a rock guitar amplifier for the Jack Audio Connection Kit with
 one input and two outputs. It provides one JACK input port and two JACK output
 ports. It is designed to produce nice trash/metal/rock/blues guitar sounds.
 Controls for bass, treble, gain, compressor, tube selector, distortion,
 flanger, freeverb, crybaby (wah), etc are available.
 .
 Guitarix comes with a GTK+ interface and as Ladspa and LV2 plugins.

Package: guitarix-common
Architecture: all
Multi-Arch: foreign
Breaks: guitarix (<< 0.35)
Replaces: guitarix (<< 0.35)
Depends: ${misc:Depends}
Description: Guitarix - Common files
 Guitarix is a rock guitar amplifier for the Jack Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds and comes with a GTK+ interface and as
 Ladspa and LV2 plugins.
 .
 This package contains Guitarix's Architecture independent files. Examples of
 such shared files are: configuration files, images and sounds.

Package: guitarix-ladspa
Architecture: any
Breaks: guitarix (<< 0.35)
Replaces: guitarix (<< 0.35)
Provides: ladspa-plugin
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Guitarix - ladspa plugins
 Guitarix is a rock guitar amplifier for the Jack Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds and comes with a GTK+ interface and as
 Ladspa and LV2 plugins.
 .
 This package contains the ladspa audio plugins that come together with
 guitarix, but can also be used by any other ladspa host.

Package: guitarix-lv2
Architecture: any
Breaks: guitarix (<< 0.35)
Replaces: guitarix (<< 0.35)
Provides: lv2-plugin
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Guitarix - LV2 plugins
 Guitarix is a rock guitar amplifier for the Jack Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds and comes with a GTK+ interface and as
 Ladspa and LV2 plugins.
 .
 This package contains the LV2 audio plugins that come together with guitarix,
 but can also be used by any other LV2 host.

Package: guitarix-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery, ${misc:Depends}
Suggests: guitarix
Description: Guitarix - Development documentation
 Guitarix is a rock guitar amplifier for the Jack Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds and comes with a GTK+ interface and as
 Ladspa and LV2 plugins.
 .
 This package contains Guitarix's Development documentation.

Package: libgxw0
Section: libs
Architecture: any
Breaks: guitarix (<< 0.35)
Replaces: guitarix (<< 0.35)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Guitarix - GTK+ library
 Guitarix is a rock guitar amplifier for the Jack Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds and comes with a GTK+ interface and as
 Ladspa and LV2 plugins.
 .
 This package contains Guitarix's GTK+ library.

Package: libgxw-dev
Section: libdevel
Architecture: any
Depends: libgxw0 (= ${binary:Version}), ${misc:Depends}
Recommends: guitarix-doc
Description: Guitarix - GTK+ library (development files)
 Guitarix is a rock guitar amplifier for the Jack Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds and comes with a GTK+ interface and as
 Ladspa and LV2 plugins.
 .
 This package contains development files for Guitarix's GTK+ library.

Package: libgxwmm0
Section: libs
Architecture: any
Breaks: guitarix (<< 0.35)
Replaces: guitarix (<< 0.35)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Guitarix - GTK+ C++ widget library
 Guitarix is a rock guitar amplifier for the Jack Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds and comes with a GTK+ interface and as
 Ladspa and LV2 plugins.
 .
 This package contains Guitarix's GTK+ C++ widget library.

Package: libgxwmm-dev
Section: libdevel
Architecture: any
Depends: libgxwmm0 (= ${binary:Version}), ${misc:Depends}
Recommends: guitarix-doc
Description: Guitarix - GTK+ C++ widget library (development files)
 Guitarix is a rock guitar amplifier for the Jack Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds and comes with a GTK+ interface and as
 Ladspa and LV2 plugins.
 .
 This package contains development files for Guitarix's GTK+ C++ widget library.

Package: gxw-glade
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Guitarix - GTK+ library Glade support
 Guitarix is a rock guitar amplifier for the Jack Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds and comes with a GTK+ interface and as
 Ladspa and LV2 plugins.
 .
 This package contains Guitarix's GTK+ library Glade support.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NUMJOBS = 1
endif

%:
	dh $@

override_dh_auto_configure:
	./waf configure --prefix=/usr --no-faust \
		--cxxflags="$(shell dpkg-buildflags --get CXXFLAGS) \
			$(shell dpkg-buildflags --get CPPFLAGS)" \
		--ldflags="$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed" -v \
		--shared-lib --lib-dev --glade-support --enable-lfs --no-mod-lv2

override_dh_auto_build-arch:
	./waf build -v --jobs=$(NUMJOBS)

override_dh_auto_build-indep:
	cd $(CURDIR)/documentation ; doxygen
	# don't use dh_doxygen because it doesn't detect the docs
	cd $(CURDIR)/documentation/html && find . -name "*.md5" -delete
	cd $(CURDIR)/documentation/html && find . -name "*.map" -delete

override_dh_auto_clean:
	./waf distclean
	rm -rf build/*
	rm -rf build/.conf*
	rm -rf build/.waf*
	find . -name "*.pyc" -delete
	rm -rf documentation/html

override_dh_auto_install:
	./waf install --destdir=$(CURDIR)/debian/tmp --libdir=$(CURDIR)/debian/tmp
	rm -f $(CURDIR)/debian/tmp/usr/share/gx_head/sounds/bands/LICENSE
	rm -f $(CURDIR)/debian/tmp/usr/share/gx_head/sounds/amps/LICENSE
	rm -f $(CURDIR)/debian/tmp/usr/lib/libgxwmm.so
	rm -f $(CURDIR)/debian/tmp/usr/lib/libgxw.so
	ln -s libgxwmm.so.0.1 $(CURDIR)/debian/tmp/usr/lib/libgxwmm.so
	ln -s libgxw.so.0.1 $(CURDIR)/debian/tmp/usr/lib/libgxw.so
override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
https://qa.debian.org/watch/sf.php/guitarix/ \
(?:|.*/)guitarix2(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
